--- /dev/null
+#! /bin/bash
+
+set -e
+
+if which systemd; then
+ opt_systemd='--systemd'
+else
+ opt_systemd=''
+fi
+
+dbus-update-activation-environment $opt_systemd DBUS_SESSION_BUS_ADDRESS DISPLAY XAUTHORITY
+exec dbus-launch --sh-syntax --exit-with-session ~/.xlaunch
--- /dev/null
+#! /bin/bash
+
+set -e
+
+
+launch_common() {
+ xbindkeys
+ xscreensaver &
+ mpd --kill || true
+ mpd
+ for script in ~/.xlaunch.d/*; do
+ "$script"
+ done
+}
+
+launch_specialized() {
+ # XXX dunst lazily started by dbus
+ for script in ~/.xlaunch.d."$(hostname)"/*; do
+ "$script"
+ done
+}
+
+launch_common
+launch_specialized
+
+exec dwm
--- /dev/null
+#! /bin/sh
+
+set -e
+
+#-- Keyboard layout
+# From setxkbmap man page:
+# > Note that setxkbmap adds options specified in the command line to the
+# > options that were set before (as saved in root window properā ties).
+# > If you want to replace all previously specified options, use the
+# > -option flag with an empty argument first.
+#setxkbmap -layout us,ru,el -variant ',phonetic_winkeys,' -option ''
+#setxkbmap -layout us,ru,el -variant ',phonetic_winkeys,' -option grp:ctrls_toggle
+setxkbmap -layout us,ru -variant ',phonetic_winkeys' -option ''
+setxkbmap -layout us,ru -variant ',phonetic_winkeys' -option grp:ctrls_toggle
+
+#xmodmap -e 'remove lock = Caps_Lock'
+#setxkbmap -option ctrl:nocaps
+
+setxkbmap -option caps:ctrl_modifier